Subject: bug#13471: 24.3.50; S-up does not work in xterm: <select> is undefined

From: Thomas Dickey <[email-masked]>
Date: Thu, 17 Jan 2013 05:06:29 -0500

On Thu, Jan 17, 2013 at 10:55:28AM +0100, Andreas Schwab wrote:
> [email-masked] writes:
> 
> > which is interesting: the code fragment is dealing with termcap
> > names (the first parameter is conventional termcap names, the
> > second is not).  It is not dealing with terminfo
> 
> It is using the termcap(3) interface of terminfo.

That addresses 1/3 of my comment.  Looking at AIX 5, there is no termcap
file, the manpage for terminfo does not mention the names used for the
second parameter, and "strings" on the curses library shows no plausible
tables containing those strings.

(the other 2/3 of course dealt with determining when the change was
added, whether it makes sense now - or even if it was a suitable change
at the time)

-- 
Thomas E. Dickey <[email-masked]>
http://invisible-island.net
ftp://invisible-island.net